mav_matrixSet(3)

NAME
mav_matrixSet - Compute a matrix for orientation and position.

LEVEL
Maverik Level 1

SYNTAX
MAV_matrix mav_matrixSet(float roll, float pitch, float yaw, float x, float y, float z);

ARGUMENTS
Rotation in degrees about Z-axis. Rotation in degrees about X-axis. Rotation in degrees about Y-axis. Translation in x. Translation in y. Translation in z.

DESCRIPTION
This function defines a matrix to perform a rotation followed by a translation. The rotation angles in degrees are defined by roll (around the Z-axis), pitch (around the X-axis), and yaw (around the Y-axis). Rotations are applied in the order roll, yaw, then pitch. The translation, relative to the origin, is defined by x, y and z.